Skip to content
Snippets Groups Projects

Compare revisions

Changes are shown as if the source revision was being merged into the target revision. Learn more about comparing revisions.

Source

Select target project
No results found

Target

Select target project
No results found
Show changes
Commits on Source (3)
Showing
with 78 additions and 78 deletions
......@@ -8,7 +8,7 @@ wmake -check-dir "$WM_PROJECT_DIR" 2>/dev/null || {
}
if [ -f "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments ]
then . "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments || \
echo "Argument parse error";
echo "Argument parse error"
else
echo "Error (${0##*/}) : WM_PROJECT_DIR appears to be incorrect"
echo " Check your OpenFOAM environment and installation"
......@@ -34,12 +34,12 @@ else
fi
echo
echo "========================================"
echo ========================================
date "+%Y-%m-%d %H:%M:%S %z" 2>/dev/null || echo "date is unknown"
echo "Starting compile ${WM_PROJECT_DIR##*/} ${0##*/}"
echo " $WM_COMPILER ${WM_COMPILER_TYPE:-system} compiler"
echo " ${WM_OPTIONS}, with ${WM_MPLIB} ${FOAM_MPI}"
echo "========================================"
echo ========================================
echo
# Compile tools for wmake
......@@ -62,24 +62,21 @@ else
echo "Skip ThirdParty (no directory)"
fi
echo "========================================"
echo "Compile OpenFOAM libraries"
echo
# OpenFOAM libraries
src/Allwmake $targetType $*
echo "========================================"
echo "Compile OpenFOAM applications"
echo
# OpenFOAM applications
applications/Allwmake $targetType $*
# Additional components/modules
if [ "$FOAM_MODULE_PREFIX" = false ] || [ "$FOAM_MODULE_PREFIX" = none ]
then
echo "========================================"
echo ========================================
echo "OpenFOAM modules disabled (prefix=${FOAM_MODULE_PREFIX})"
echo
elif [ -d "$WM_PROJECT_DIR/modules" ]
then
else
# Use wmake -all instead of Allwmake to allow for overrides
(cd "$WM_PROJECT_DIR/modules" 2>/dev/null && wmake -all)
fi
......@@ -93,7 +90,7 @@ _foamCountDirEntries()
# Some summary information
echo
date "+%Y-%m-%d %H:%M:%S %z" 2>/dev/null || echo "date is unknown"
echo "========================================"
echo ========================================
echo " ${WM_PROJECT_DIR##*/}"
echo " $WM_COMPILER ${WM_COMPILER_TYPE:-system} compiler"
echo " ${WM_OPTIONS}, with ${WM_MPLIB} ${FOAM_MPI}"
......@@ -103,6 +100,6 @@ echo " patch = $(etc/openfoam -show-patch 2>/dev/null)"
echo " bin = $(_foamCountDirEntries "$FOAM_APPBIN") entries"
echo " lib = $(_foamCountDirEntries "$FOAM_LIBBIN") entries"
echo
echo "========================================"
echo ========================================
#------------------------------------------------------------------------------
......@@ -8,13 +8,17 @@ wmake -check-dir "$WM_PROJECT_DIR/applications" 2>/dev/null || {
}
if [ -f "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments ]
then . "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments || \
echo "Argument parse error";
echo "Argument parse error"
else
echo "Error (${0##*/}) : WM_PROJECT_DIR appears to be incorrect"
echo " Check your OpenFOAM environment and installation"
exit 1
fi
echo ========================================
echo Compile OpenFOAM applications
echo ========================================
#------------------------------------------------------------------------------
wmake -all $targetType solvers
......@@ -24,3 +28,9 @@ wmake -all $targetType utilities
## wmake -all $targetType tools
#------------------------------------------------------------------------------
echo ========================================
echo Done OpenFOAM applications
echo ========================================
#------------------------------------------------------------------------------
......@@ -36,8 +36,6 @@ Foam::cv2DControls::cv2DControls
const boundBox& bb
)
:
dict_(controlDict),
motionControl_(controlDict.subDict("motionControl")),
conformationControl_(controlDict.subDict("surfaceConformation")),
......
......@@ -60,10 +60,9 @@ Ostream& operator<<(Ostream&, const cv2DControls&);
class cv2DControls
{
// Private data
// Private Data
//- Description of data_
const dictionary& dict_;
//- Description of data
const dictionary& motionControl_;
......
......@@ -56,8 +56,6 @@ Foam::cellShapeControl::cellShapeControl
(
foamyHexMeshControls.foamyHexMeshDict().subDict("motionControl")
),
runTime_(runTime),
allGeometry_(allGeometry),
geometryToConformTo_(geometryToConformTo),
defaultCellSize_(foamyHexMeshControls.defaultCellSize()),
minimumCellSize_(foamyHexMeshControls.minimumCellSize()),
......@@ -73,12 +71,6 @@ Foam::cellShapeControl::cellShapeControl
{}
// * * * * * * * * * * * * * * * * Destructor * * * * * * * * * * * * * * * //
Foam::cellShapeControl::~cellShapeControl()
{}
// * * * * * * * * * * * * * * Member Functions * * * * * * * * * * * * * * //
Foam::scalarField Foam::cellShapeControl::cellSize
......
......@@ -66,11 +66,7 @@ class cellShapeControl
:
public dictionary
{
// Private data
const Time& runTime_;
const searchableSurfaces& allGeometry_;
// Private Data
const conformationSurfaces& geometryToConformTo_;
......@@ -114,7 +110,7 @@ public:
//- Destructor
~cellShapeControl();
~cellShapeControl() = default;
// Member Functions
......
......@@ -41,10 +41,10 @@ License
namespace Foam
{
defineTypeNameAndDebug(cellShapeControlMesh, 0);
word cellShapeControlMesh::meshSubDir = "cellShapeControlMesh";
}
Foam::word Foam::cellShapeControlMesh::meshSubDir = "cellShapeControlMesh";
// * * * * * * * * * * * * Private Member Functions * * * * * * * * * * * * //
......@@ -367,8 +367,7 @@ Foam::cellShapeControlMesh::cellShapeControlMesh(const Time& runTime)
runTime,
meshSubDir
),
runTime_(runTime),
defaultCellSize_(0.0)
runTime_(runTime)
{
if (this->vertexCount())
{
......@@ -442,12 +441,6 @@ Foam::cellShapeControlMesh::cellShapeControlMesh(const Time& runTime)
}
// * * * * * * * * * * * * * * * * Destructor * * * * * * * * * * * * * * * //
Foam::cellShapeControlMesh::~cellShapeControlMesh()
{}
// * * * * * * * * * * * * * * Member Functions * * * * * * * * * * * * * * //
void Foam::cellShapeControlMesh::barycentricCoords
......
......@@ -55,6 +55,7 @@ SourceFiles
namespace Foam
{
// Forward Declarations
class cellSizeAndAlignmentControls;
/*---------------------------------------------------------------------------*\
......@@ -74,13 +75,13 @@ public:
private:
// Private data
// Private Data
const Time& runTime_;
mutable Cell_handle oldCellHandle_;
const scalar defaultCellSize_;
/// const scalar defaultCellSize_;
// Private Member Functions
......@@ -103,11 +104,12 @@ public:
// Constructors
//- Construct from runTime
explicit cellShapeControlMesh(const Time& runTime);
//- Destructor
~cellShapeControlMesh();
~cellShapeControlMesh() = default;
// Member Functions
......
......@@ -275,7 +275,6 @@ Foam::conformationSurfaces::conformationSurfaces
)
:
runTime_(runTime),
rndGen_(rndGen),
allGeometry_(allGeometry),
features_(),
locationInMesh_(surfaceConformationDict.get<point>("locationInMesh")),
......@@ -287,7 +286,7 @@ Foam::conformationSurfaces::conformationSurfaces
regionOffset_(),
patchInfo_(),
globalBounds_(),
referenceVolumeTypes_(0)
referenceVolumeTypes_()
{
const dictionary& surfacesDict
(
......@@ -565,7 +564,7 @@ Foam::conformationSurfaces::conformationSurfaces
// Extend the global bounds to stop the bound box sitting on the surfaces
// to be conformed to
//globalBounds_ = globalBounds_.extend(rndGen_, 1e-4);
//globalBounds_ = globalBounds_.extend(rndGen, 1e-4);
vector newSpan = 1e-4*globalBounds_.span();
......
......@@ -57,12 +57,10 @@ class conformationSurfaces
{
typedef extendedFeatureEdgeMesh::sideVolumeType sideVolumeType;
// Private data
// Private Data
const Time& runTime_;
Random& rndGen_;
//- Reference to the searchableSurfaces object holding all geometry data
const searchableSurfaces& allGeometry_;
......
......@@ -134,14 +134,13 @@ Foam::shortEdgeFilter2D::shortEdgeFilter2D
const dictionary& dict
)
:
cv2Dmesh_(cv2Dmesh),
shortEdgeFilterFactor_(dict.get<scalar>("shortEdgeFilterFactor")),
edgeAttachedToBoundaryFactor_
(
dict.getOrDefault<scalar>("edgeAttachedToBoundaryFactor", 2.0)
),
patchNames_(wordList()),
patchSizes_(labelList()),
patchNames_(),
patchSizes_(),
mapEdgesRegion_(),
indirectPatchEdge_()
{
......@@ -201,12 +200,6 @@ Foam::shortEdgeFilter2D::shortEdgeFilter2D
}
// * * * * * * * * * * * * * * * * Destructor * * * * * * * * * * * * * * * //
Foam::shortEdgeFilter2D::~shortEdgeFilter2D()
{}
// * * * * * * * * * * * * * * Member Functions * * * * * * * * * * * * * * //
void Foam::shortEdgeFilter2D::filter()
......
......@@ -53,8 +53,6 @@ class shortEdgeFilter2D
{
// Private Data
const CV2D& cv2Dmesh_;
MeshedSurface<face> ms_;
const scalar shortEdgeFilterFactor_;
......@@ -98,13 +96,15 @@ public:
//- Runtime type information
ClassName("shortEdgeFilter2D");
// Constructors
//- Construct from components
shortEdgeFilter2D(const CV2D& cv2Dmesh, const dictionary& dict);
//- Destructor
~shortEdgeFilter2D();
~shortEdgeFilter2D() = default;
// Access Functions
......
EXE_NDEBUG = -DNDEBUG
/* EXE_NDEBUG = -g -O0 -DFULLDEBUG */
c++CGALWARN = -Wno-old-style-cast
/*-- Define NO_CGAL in COMP_FLAGS to avoid using CGAL altogether */
/*-- Define CGAL_INEXACT to use inexact CGAL constructions */
ifeq (,$(findstring NO_CGAL,$(COMP_FLAGS)))
include $(GENERAL_RULES)/cgal
ifneq (,$(findstring NO_CGAL,$(COMP_FLAGS)))
include $(GENERAL_RULES)/no-cgal
c++LESSWARN :=
else
include $(GENERAL_RULES)/cgal
endif
EXE_INC = \
${ROUNDING_MATH} \
${EXE_NDEBUG} \
${CGAL_INC} \
${c++CGALWARN} \
${c++LESSWARN} \
$(COMP_FLAGS) \
-I$(LIB_SRC)/fileFormats/lnInclude \
-I$(LIB_SRC)/surfMesh/lnInclude \
......
......@@ -11,7 +11,7 @@ EXE_INC = \
${ROUNDING_MATH} \
${EXE_NDEBUG} \
${CGAL_INC} \
${c++CGALWARN} \
${c++LESSWARN} \
-I.. \
-I$(LIB_SRC)/surfMesh/lnInclude \
-I$(LIB_SRC)/meshTools/lnInclude
......
......@@ -59,6 +59,7 @@ options:
-with-api=NUM Specify alternative api value for packaging
-tgz, -xz, -zstd Alias for -compress=tgz, -compress=xz, -compress=zstd
-debian Auto (debian) naming with -no-prefix, -xz
-debian=NUM Auto (debian) naming with specified debian patch value
-debian=NAME Short-cut for -name=NAME.orig, -no-prefix, -xz
-help Print help
......@@ -119,8 +120,8 @@ do
-h | -help*)
printHelp
;;
-debian)
tarName="debian" # Special placeholder
-debian | -debian=[0-9]*)
tarName="$1" # Leave as special placeholder
prefixDir=false # No prefix directory
: "${compress:=xz}" # Default 'xz' compression
;;
......@@ -273,8 +274,8 @@ patch="$(git --git-dir="$gitbase/.git" show "$sha1" | sed -ne s/^patch=//p)"
[ -n "$api" ] || die "Could resolve api value"
: "${patch:=0}" # Treat missing patch number as '0'
# Determine the BUILD information from git, as per `wmake -build-info`
build="$(git --git-dir="$gitbase/.git" log -1 --date=short --format='%h=%ad' 2>/dev/null|sed 's/-//g;s/=/-/')"
# Determine BUILD information from git, as per `wmake -build-info` but for given HEAD
build="$(git --git-dir="$gitbase/.git" log -1 --date=short --format='%h=%ad' "$head" 2>/dev/null|sed 's/-//g;s/=/-/')"
echo "Detected api, patch, build as '$api', '$patch', '$build'" 1>&2
if [ -n "$packageApi" ]
......@@ -300,7 +301,7 @@ then
fi
case "$tarName" in
(debian)
(-debian)
tarName="openfoam_${packageApi}"
if [ "$withPatchNum" = false ]
......@@ -313,6 +314,10 @@ case "$tarName" in
tarName="${tarName}.orig" # Append .orig
;;
(-debian=[0-9]*)
tarName="openfoam_${packageApi}.${tarName#*=}.orig"
;;
('')
tarName="OpenFOAM-v${packageApi}"
if [ "$withSource" = false ]
......
Subproject commit f4772c5c15d0f29dddfc0a7150711634917a742b
Subproject commit 06a0786e016a6b98dc67afa5d9fb508719284f60
......@@ -8,13 +8,17 @@ wmake -check-dir "$WM_PROJECT_DIR/src" 2>/dev/null || {
}
if [ -f "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments ]
then . "$WM_PROJECT_DIR"/wmake/scripts/AllwmakeParseArguments || \
echo "Argument parse error";
echo "Argument parse error"
else
echo "Error (${0##*/}) : WM_PROJECT_DIR appears to be incorrect"
echo " Check your OpenFOAM environment and installation"
exit 1
fi
echo ========================================
echo Compile OpenFOAM libraries
echo ========================================
#------------------------------------------------------------------------------
wmakeLnInclude -u OpenFOAM
......@@ -129,3 +133,9 @@ dynamicFaMesh/Allwmake $targetType $*
wmake $targetType thermophysicalModels/thermophysicalPropertiesFvPatchFields/liquidProperties
#------------------------------------------------------------------------------
echo ========================================
echo Done OpenFOAM libraries
echo ========================================
#------------------------------------------------------------------------------
......@@ -18,9 +18,15 @@ c++WARN = \
-Wno-unknown-warning-option \
$(FOAM_EXTRA_CXXFLAGS)
# Many extra warnings from boost
c++LESSWARN = \
-Wno-old-style-cast -Wno-unused-local-typedefs \
-Wno-tautological-undefined-compare -Wno-shift-negative-value \
-Wno-null-pointer-arithmetic
-Wno-null-pointer-arithmetic \
-Wno-null-pointer-subtraction \
-Wno-unknown-warning-option \
-Wno-deprecated-copy-with-user-provided-copy \
-Wno-tautological-overlap-compare \
-Wno-#pragma-messages
#------------------------------------------------------------------------------